## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           jrnl
Version:        4.2.1
Release:        %autorelease
Summary:        Collect your thoughts and notes without leaving the command line

License:        GPL-3.0-only
URL:            https://jrnl.sh
%global forgeurl https://github.com/jrnl-org/jrnl/
Source:         %{forgeurl}/archive/v%{version}/jrnl-%{version}.tar.gz

# Downstream-only: do not upper-bound the Python interpreter version
#
# We must integrate with new Python interpreter versions whether upstream
# is ready or not.
Patch:          0001-Downstream-only-do-not-upper-bound-the-Python-interp.patch

# Update dependency rich to v14
# https://github.com/jrnl-org/jrnl/pull/1989
#
# We have modified the patch to include only changes to pyproject.toml,
# omitting those to poetry.lock since they are unnecessary (for Fedora) and
# likely to cause conflicts.
Patch:          jrnl-4.2-rich-14.patch

BuildSystem:            pyproject
BuildOption(install):   jrnl
BuildOption(generate_buildrequires): -t

BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  help2man

%description
jrnl is a simple journal application for the command line.

You can use it to easily create, search, and view journal entries. Journals are
stored as human-readable plain text, and can also be encrypted using AES
encryption.


%prep -a
# Unpin pytest; see https://github.com/jrnl-org/jrnl/issues/1879.
sed -r -i 's/(pytest\b.*),<=?[[:digit:].]+/\1/' pyproject.toml

dos2unix --keepdate \
    SECURITY.md \
    docs/external-editors.md \
    docs/journal-types.md \
    docs/reference-command-line.md \
    docs/reference-config-file.md


%build -a
# https://github.com/jrnl-org/jrnl/issues/74
# https://github.com/jrnl-org/jrnl/issues/1274
help2man --no-info '%{python3} -m jrnl' --output='jrnl.1'


%install -a
install -D -t '%{buildroot}%{_mandir}/man1' -p -m 0644 'jrnl.1'


%check -a
%tox -- -- -rs


%files -f %{pyproject_files}
%license LICENSE.md

%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%doc SECURITY.md
%doc docs/

%{_bindir}/jrnl
%{_mandir}/man1/jrnl.1*


%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jun 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.1-1
- Update to 4.2.1 (close RHBZ#2347459)

* Tue Jun 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-8
- Update dependency rich to v14

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 4.2-7
- Rebuilt for Python 3.14

* Sat Apr 26 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-5
- F41+: Remove a no-longer-necessary filter from the .rpmlintrc file

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-3
- Unpin pytest; stop using python-pytest7

* Mon Nov 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-2
- F41+: No longer need Obsoletes for the -doc package

* Mon Nov 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2-1
- Update to 4.2 (close RHBZ#2326878)

* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-12
- F41+: Use the provisional declarative buildsystem

* Mon Aug 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-11
- Revert "Ensure we use the python-pytest7 compat package (close
  RHBZ#2273337)"

* Mon Aug 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-10
- Print the reasons why tests are skipped

* Tue Jul 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-9
- Ensure we use the python-pytest7 compat package (close RHBZ#2273337)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 4.1-7
- Rebuilt for Python 3.13

* Wed May 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-6
- Skip one failing test on Python 3.13 (close RHBZ#2280580)

* Thu May 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-5
- Remove upper bound on Python interpreter version (fix RHBZ#2278640)

* Thu Mar 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-4
- Support pytest_bdd 7.1.2 and later

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1-1
- Update to 4.1 (close RHBZ#2247951)

* Tue Sep 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.1-3
- Keep timestamps when converting text file line endings

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0.1-1
- Update to 4.0.1 (close RHBZ#2216368)

* Tue May 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.0-1
- Update to 4.0 (close RHBZ#2208898)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3-2
- Update dependency rich to v13 (fix RHBZ#2157861)

* Fri Nov 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3-1
- Update to 3.3 (close RHBZ#2120137)
- Drop separate -doc subpackage

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0-3
- Update License to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0-1
- Update to 3.0 (close RHBZ#2105753)

* Mon Jun 27 2022 Python Maint <python-maint@redhat.com> - 2.8.4-3
- Rebuilt for Python 3.11

* Sun Jun 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.4-2
- Backport upstream PR#1495 (fix RHBZ#2039871)
- Fixes error related to display_format in config file for some values

* Sun Feb 13 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.4-1
- Update to 2.8.4 (close RBHZ#2053899)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.3-5
- Support pytest-bdd 5.x (fix RHBZ#2017131)

* Tue Oct 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.3-4
- Reduce macro indirection in the spec file

* Tue Oct 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.3-3
- Drop the mkdocs option due to JS/CSS policy issues

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.3-2
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Tue Sep 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.3-1
- Update to 2.8.3 (close RHBZ#2001704)

* Wed Aug 11 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.2-3
- Disable mkdocs while it is orphaned

* Wed Aug 11 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.2-2
- Add a build conditional for mkdocs

* Sun Aug 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.2-1
- Update to 2.8.2 (closes RHBZ#1988758)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.1-5
- Stop allowing tzlocal 2.0; 2.1 is now available in Fedora

* Wed Jun 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.1-4
- Stop maintaining workarounds for F33/F34 dependency versions in the Rawhide
  branch
- Add more links to upstream issues and PR’s
- Align shebang and mode adjustment with upstream PR#1283

* Thu Jun 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.1-3
- Loosen Python version restriction to allow 3.10 (closes RHBZ#1968822)
- Add some missing sed regex metacharacter backslash escapes
- Add “behave” tests to %%check

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.8.1-2
- Rebuilt for Python 3.10

* Sun Apr 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8.1-1
- New upstream version 2.8.1
- No longer need to patch pyxdg requirement on Fedora 35

* Sat Apr 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8-2
- Drop workarounds for Fedora 32

* Wed Apr 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.8-1
- New upstream release 2.8 (with license change, MIT to GPLv3)
- Switch URL to HTTPS
- Use GitHub tarball instead of PyPI tarball to get documentation and tests
- Build with pyproject-rpm-macros (no setup.py)
- Adjust spec file whitespace to personal preference
- Update summary and description from upstream
- Add CHANGELOG.md, CODE_OF_CONDUCT.md, CONTRIBUTING.md
- Add a new -doc subpackage and build the HTML documentation
- Run the tests
- Generate and install a man page

* Wed Feb 10 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2.7-1
- Update to latest upstream release 2.7 (#1907094)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.5-1
- Update to latest upstream release 2.5 (#1875713)

* Fri Sep 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.4.5-2
- Fix requirement for dependency generator

* Sun Aug 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.4.5-1
- Update to latest upstream release 2.4.5 (#1875713)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.4-2
- Rebuilt for Python 3.9

* Fri May 01 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.4-1
- Update to latest upstream release 2.4

* Sat Mar 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.3-1
- Remove release pinning (#1803355)
- Update to latest upstream release 2.3

* Thu Feb 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.2-1
- Fix build failure (#1791686)
- Update to latest upstream release 2.2

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.1.1-1
- Update to latest upstream release 2.1.1

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.9.8-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.9.8-3
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 25 2019 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.8-1
- Initial package for Fedora

## END: Generated by rpmautospec
